Delete Dataset Drift Snapshot Route
curl --request DELETE \
--url https://api.example.com/api/datasets/{dataset_id}/drift/snapshots \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/datasets/{dataset_id}/drift/snapshots"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/datasets/{dataset_id}/drift/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataset_id": "<string>",
"updated_at": "<string>",
"current_snapshot": {
"captured_at": "<string>",
"size_bytes": 123,
"valid_images": 123,
"invalid_images": 123,
"class_count": 123,
"classes": [
"<string>"
],
"class_distribution": {},
"dataset_type": "<string>"
},
"previous_snapshot": {
"captured_at": "<string>",
"size_bytes": 123,
"valid_images": 123,
"invalid_images": 123,
"class_count": 123,
"classes": [
"<string>"
],
"class_distribution": {},
"dataset_type": "<string>"
},
"metrics": {
"valid_images_delta": 123,
"invalid_images_delta": 123,
"class_count_delta": 123,
"size_bytes_delta": 123,
"valid_images_pct_change": 123,
"invalid_images_pct_change": 123,
"class_count_pct_change": 123,
"size_bytes_pct_change": 123,
"added_classes": [
"<string>"
],
"removed_classes": [
"<string>"
],
"class_distribution_drift": 123,
"class_distribution_delta": {},
"dataset_type_changed": false,
"label_set_similarity": 123,
"label_set_drift": 123,
"drift_score": 123,
"signal_scores": {},
"dominant_signal": "<string>",
"signal_reasons": [
"<string>"
],
"advanced_metrics": {}
},
"history": [
{
"action_type": "<string>",
"summary": "<string>",
"created_at": "<string>",
"actor": "<string>",
"metrics": {
"valid_images_delta": 123,
"invalid_images_delta": 123,
"class_count_delta": 123,
"size_bytes_delta": 123,
"valid_images_pct_change": 123,
"invalid_images_pct_change": 123,
"class_count_pct_change": 123,
"size_bytes_pct_change": 123,
"added_classes": [
"<string>"
],
"removed_classes": [
"<string>"
],
"class_distribution_drift": 123,
"class_distribution_delta": {},
"dataset_type_changed": false,
"label_set_similarity": 123,
"label_set_drift": 123,
"drift_score": 123,
"signal_scores": {},
"dominant_signal": "<string>",
"signal_reasons": [
"<string>"
],
"advanced_metrics": {}
},
"snapshot": {
"captured_at": "<string>",
"size_bytes": 123,
"valid_images": 123,
"invalid_images": 123,
"class_count": 123,
"classes": [
"<string>"
],
"class_distribution": {},
"dataset_type": "<string>"
},
"details": {}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}api
Delete Dataset Drift Snapshot Route
DELETE
/
api
/
datasets
/
{dataset_id}
/
drift
/
snapshots
Delete Dataset Drift Snapshot Route
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Query Parameters
Minimum string length:
1Cookies
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

